%define idlistdate 20101224

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Hardware identification and configuration data
Name:		hwdata
Version:	0.232
Release:	1
License:	GPL/MIT
Group:		System/Base
URL:		https://fedorahosted.org/hwdata/wiki
# Source created from http://git.fedorahosted.org/git/hwdata.git/
# get with git clone git://git.fedorahosted.org/hwdata.git 
Source0: 	%{name}-%{version}.tar.bz2
# usb.ids are updated more often as hwdata
# so we update them manually wget http://www.linux-usb.org/usb.ids
Source1:        usb.ids-%idlistdate
# customize blacklist.conf
Patch0:		hwdata-blacklist.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(pre):	module-init-tools >= 3.7
BuildArch:	noarch

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids database and MonitorsDb databases.

%prep
%setup -q
%patch0 -p1
# forced update of usb.ids
cp %{_sourcedir}/usb.ids-%idlistdate ./ &&
cp -f usb.ids-%idlistdate usb.ids

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE COPYING
%dir /usr/share/hwdata
%config(noreplace) /etc/modprobe.d/blacklist.conf
%config /usr/share/hwdata/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.232-1
- Version update
- usb-id-list 20101224
- blacklist nouveau by default for now
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 0.225-2
- usb-id-list update (20100107)
* Wed Sep 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.225-1
- Version update
- hwdata is now the sole provider of usb.ids
- usb-id-list 20090826
* Wed Mar 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.222-1
- Version update
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.220-1
- Version update
* Sat Mar 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.212-1
- Version update
- tagged package as noarch
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 0.173-1
- Initial Release
